<?php

namespace Drupal\react_flow_eca\Plugin\modeler_api_modeler;

use Drupal\modeler_api\Plugin\modeler_api_model_owner\ModelOwnerInterface;
use Drupal\modeler_api\Plugin\modeler_api_modeler\ModelerBase;

/**
 * Plugin implementation of the ECA Modeler.
 *
 * @Modeler(
 *   id = "react_flow",
 *   label = "React Flow",
 *   description = @Translation("React Flow modeler with a feature-rich UI")
 * )
 */
class ReactFlow extends ModelerBase {

  /**
   * {@inheritdoc}
   */
  public function edit(ModelOwnerInterface $owner, string $id, string $data, bool $isNew = FALSE): array {
    return [
      '#type' => 'component',
      '#component' => 'react_flow:react_flow',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function isEditable(): bool {
    return TRUE;
  }

}
