import { cn } from "@/lib/utils"

function Skeleton({ className, ...props }: React.ComponentProps<"div">) {
  return (
    <div
      data-slot="skeleton"
      className={cn("rf:bg-accent rf:animate-pulse rf:rounded-md", className)}
      {...props}
    />
  )
}

export { Skeleton }
